* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2016-01-20 8:20 Justin Lecher
0 siblings, 0 replies; 14+ messages in thread
From: Justin Lecher @ 2016-01-20 8:20 UTC (permalink / raw
To: gentoo-commits
commit: 6d60e9fcdbc67a5ad011c0c6f759cb0ab1f5ba61
Author: Reinis Danne <rei4dan <AT> gmail <DOT> com>
AuthorDate: Tue Jan 19 15:11:48 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Jan 19 15:11:48 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d60e9fc
sci-libs/netcdf-fortran: Version bump to 4.4.2
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.4.2.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index bec5ebb..c9285d5 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1 +1,2 @@
DIST netcdf-fortran-4.2.tar.gz 2479928 SHA256 069e1a0fb50972f28309210987a51563369a6ddb4ac768ef76e599354d384ae9 SHA512 af5d489df7b3ff5c3208115af4abdbf12d74d6bc0b9e3c729cfd24b55efafc3766de21c0f9957e037c25726637e9129a1f7009676e81d7e59650fec56d6e776e WHIRLPOOL 7fd0b2e0025b298a221521987132d389e6fc1bb285318d732b238ebcceedd721741f715848d63266c4a20189f4b0d211585af33e2efed2cac89dd893b07a2418
+DIST netcdf-fortran-4.4.2.tar.gz 1246344 SHA256 f2264174074af0cf332b8dd09e4e184517a2d54f0ca5500e17691152c1ed73aa SHA512 c3f025c0f5a08a0141fa09f570c647fc63992f9fd707969b37c7b0590c3578172200e45ecee497ed054129366fd1c73e3cd069aba879015b13a143e77a181c0f WHIRLPOOL 119345cf7563c15e9d088fc734c3dcbe27c2f76a52ea4479fb771d652815e1cda38914368478f055d2b5d705e7b1779e0954b2f26bb54dab4a995b8c6ebace8a
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild
new file mode 100644
index 0000000..8b4f231
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+FORTRAN_STANDARD="77 90"
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils fortran-2
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/6"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="${RDEPEND}
+ dev-lang/cfortran
+"
+
+src_prepare() {
+ # use system cfortran
+ rm libsrc/cfortran.h || die
+
+ autotools-utils_src_prepare
+}
+
+src_install() {
+ autotools-utils_src_install
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2016-01-23 20:05 David Seifert
0 siblings, 0 replies; 14+ messages in thread
From: David Seifert @ 2016-01-23 20:05 UTC (permalink / raw
To: gentoo-commits
commit: 0513f4a6ef96b4b7c73d8504740d091ddb84cc75
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 20:04:50 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 20:05:15 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0513f4a6
sci-libs/netcdf-fortran: Version bump to 4.4.3
* EAPI=6
* Remove usage of 'autotools-utils'
Package-Manager: portage-2.2.27
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 44 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index c9285d5..1d5f05f 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1,2 +1,3 @@
DIST netcdf-fortran-4.2.tar.gz 2479928 SHA256 069e1a0fb50972f28309210987a51563369a6ddb4ac768ef76e599354d384ae9 SHA512 af5d489df7b3ff5c3208115af4abdbf12d74d6bc0b9e3c729cfd24b55efafc3766de21c0f9957e037c25726637e9129a1f7009676e81d7e59650fec56d6e776e WHIRLPOOL 7fd0b2e0025b298a221521987132d389e6fc1bb285318d732b238ebcceedd721741f715848d63266c4a20189f4b0d211585af33e2efed2cac89dd893b07a2418
DIST netcdf-fortran-4.4.2.tar.gz 1246344 SHA256 f2264174074af0cf332b8dd09e4e184517a2d54f0ca5500e17691152c1ed73aa SHA512 c3f025c0f5a08a0141fa09f570c647fc63992f9fd707969b37c7b0590c3578172200e45ecee497ed054129366fd1c73e3cd069aba879015b13a143e77a181c0f WHIRLPOOL 119345cf7563c15e9d088fc734c3dcbe27c2f76a52ea4479fb771d652815e1cda38914368478f055d2b5d705e7b1779e0954b2f26bb54dab4a995b8c6ebace8a
+DIST netcdf-fortran-4.4.3.tar.gz 1286951 SHA256 4170fc018c9ee8222e317215c6a273542623185f5f6ee00d37bbb4e024e4e998 SHA512 94f51b4be889d6a9d6a86e3fcb2639ac58288969160d0f334ed6965e3c9cbacff7289b1fc54ed06e6ec8b845b19f5c409fbdcab432c8edf5c96efde887920924 WHIRLPOOL 941da12bc082ca75e33a1481aeb9992b16f3e95cf3f95bacc8ab1f56b95da7d9bb80d1f36b2a6d478f859d03bec5acec4a12ee13b218dc023ecdab5d0ecef788
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
new file mode 100644
index 0000000..5b6e55d
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+FORTRAN_STANDARD="77 90"
+
+inherit autotools eutils fortran-2
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/6"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples static-libs"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="${RDEPEND}
+ dev-lang/cfortran
+"
+
+src_prepare() {
+ # use system cfortran
+ rm libsrc/cfortran.h || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+ prune_libtool_files
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2016-01-25 9:52 David Seifert
0 siblings, 0 replies; 14+ messages in thread
From: David Seifert @ 2016-01-25 9:52 UTC (permalink / raw
To: gentoo-commits
commit: 12621c021f8ef751c91c68ef4584c7b640a6529d
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 09:49:01 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 09:52:12 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12621c02
sci-libs/netcdf-fortran: Replace 'doins' with 'dodoc -r'
Package-Manager: portage-2.2.27
sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
index 5b6e55d..45eafdd 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
@@ -36,9 +36,6 @@ src_configure() {
src_install() {
default
- if use examples; then
- insinto /usr/share/doc/${PF}
- doins -r examples
- fi
+ use examples && dodoc -r examples
prune_libtool_files
}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2018-05-16 22:57 Aaron Bauman
0 siblings, 0 replies; 14+ messages in thread
From: Aaron Bauman @ 2018-05-16 22:57 UTC (permalink / raw
To: gentoo-commits
commit: 3cc0c41105556ea7d546f782670fc31c6162e27a
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Tue May 15 11:27:54 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed May 16 22:56:58 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cc0c411
sci-libs/netcdf-fortran: use HTTPS
sci-libs/netcdf-fortran/netcdf-fortran-4.2.ebuild | 4 ++--
sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild | 4 ++--
sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 4 ++--
3 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.2.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.2.ebuild
index 52eecd25d43..a722ccdc91f 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.2.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -9,7 +9,7 @@ AUTOTOOLS_IN_SOURCE_BUILD=1
inherit autotools-utils fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
-HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
SRC_URI="ftp://ftp.unidata.ucar.edu/pub/netcdf/${P}.tar.gz"
LICENSE="UCAR-Unidata"
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild
index 31db078a73a..a7ba9edabdf 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -9,7 +9,7 @@ AUTOTOOLS_IN_SOURCE_BUILD=1
inherit autotools-utils fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
-HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="UCAR-Unidata"
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
index 7539ce517ae..0feb7f5eb97 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,7 +8,7 @@ FORTRAN_STANDARD="77 90"
inherit autotools eutils fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
-HOMEPAGE="http://www.unidata.ucar.edu/software/netcdf/"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="UCAR-Unidata"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2021-02-19 12:47 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2021-02-19 12:47 UTC (permalink / raw
To: gentoo-commits
commit: 89d76e7b713f6af83193c6a6d034b878bc49a414
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 19 12:37:19 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 12:45:43 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89d76e7b
sci-libs/netcdf-fortran: workaround gcc 10 (fortran) failure
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
index b4fd58838d7..07be294b26c 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
FORTRAN_STANDARD="77 90"
-inherit autotools eutils fortran-2 ltprune
+inherit autotools eutils fortran-2 flag-o-matic ltprune
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
@@ -30,6 +30,10 @@ src_prepare() {
}
src_configure() {
+ # GCC 10 workaround
+ # bug #723274
+ append-fflags $(test-flags-FC -fallow-argument-mismatch)
+
econf $(use_enable static-libs static)
}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2021-05-31 9:20 David Seifert
0 siblings, 0 replies; 14+ messages in thread
From: David Seifert @ 2021-05-31 9:20 UTC (permalink / raw
To: gentoo-commits
commit: f16f8986095e36202a9272c17b85aaf8934a3dee
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 09:19:24 2021 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 31 09:19:24 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f16f8986
sci-libs/netcdf-fortran: drop deprecated ltprune eclass
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
index 6d87c1dd19b..b2463eb94be 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
@@ -5,7 +5,7 @@ EAPI=6
FORTRAN_STANDARD="77 90"
-inherit autotools fortran-2 flag-o-matic ltprune
+inherit autotools fortran-2 flag-o-matic
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
@@ -40,5 +40,5 @@ src_configure() {
src_install() {
default
use examples && dodoc -r examples
- prune_libtool_files
+ find "${ED}" -name '*.la' -delete || die
}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2021-11-25 2:04 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2021-11-25 2:04 UTC (permalink / raw
To: gentoo-commits
commit: fc6f79fa84b259ac0845547d06b154dd60361a3a
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 25 01:57:59 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Nov 25 02:04:19 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc6f79fa
sci-libs/netcdf-fortran: add 4.5.3
Closes: https://bugs.gentoo.org/771612
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.5.3.ebuild | 48 ++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index fdc76a3e95b3..2afd1e9c3f4b 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1 +1,2 @@
DIST netcdf-fortran-4.4.3.tar.gz 1286951 BLAKE2B 6e68505359328bac4155065419cb9c2fb2df0de875210c0eb9a4e63312b2ec272d63ecfa73b5dcebe7cf75b58a184d1a0ccb2c06c45869d3f4573590d610d9e0 SHA512 94f51b4be889d6a9d6a86e3fcb2639ac58288969160d0f334ed6965e3c9cbacff7289b1fc54ed06e6ec8b845b19f5c409fbdcab432c8edf5c96efde887920924
+DIST netcdf-fortran-4.5.3.tar.gz 1805683 BLAKE2B f32a36a77872e039a0c03a1f1ccdbb00761309dc7d255a1203b0a1971464e75d87f56230f28a5d5928ca3e7e388f52c4622836c2cea3d35b286161b8044e375b SHA512 fe4b2f6f8c44bf4fdeebe3cbd57ee44ccee15a70075428bb68f0d33b70f9291b68b542965634a27fb4be5a59c756d672a3d264f2628391861edb98a244e072b4
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild
new file mode 100644
index 000000000000..c5e5ff3a2d11
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+FORTRAN_STANDARD="77 90"
+
+inherit autotools fortran-2 flag-o-matic
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/7"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="${RDEPEND}
+ dev-lang/cfortran"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # GCC 10 workaround
+ # bug #723274
+ # (As of 4.5.3, configure is meant to check for this flag & use it
+ # but it doesn't seem to be doing that.)
+ append-fflags $(test-flags-FC -fallow-argument-mismatch)
+
+ econf \
+ --disable-valgrind \
+ --with-temp-large="${T}" \
+ --disable-dot \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ use examples && dodoc -r examples
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2022-01-09 23:04 Andreas Sturmlechner
0 siblings, 0 replies; 14+ messages in thread
From: Andreas Sturmlechner @ 2022-01-09 23:04 UTC (permalink / raw
To: gentoo-commits
commit: 8239d02a6ff8888e5537cce9c980f60b5d3cc054
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 9 22:19:31 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 9 23:04:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8239d02a
sci-libs/netcdf-fortran: Drop 4.4.3
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 -
.../netcdf-fortran/netcdf-fortran-4.4.3.ebuild | 44 ----------------------
2 files changed, 45 deletions(-)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index 2afd1e9c3f4b..5f10215d3ab5 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1,2 +1 @@
-DIST netcdf-fortran-4.4.3.tar.gz 1286951 BLAKE2B 6e68505359328bac4155065419cb9c2fb2df0de875210c0eb9a4e63312b2ec272d63ecfa73b5dcebe7cf75b58a184d1a0ccb2c06c45869d3f4573590d610d9e0 SHA512 94f51b4be889d6a9d6a86e3fcb2639ac58288969160d0f334ed6965e3c9cbacff7289b1fc54ed06e6ec8b845b19f5c409fbdcab432c8edf5c96efde887920924
DIST netcdf-fortran-4.5.3.tar.gz 1805683 BLAKE2B f32a36a77872e039a0c03a1f1ccdbb00761309dc7d255a1203b0a1971464e75d87f56230f28a5d5928ca3e7e388f52c4622836c2cea3d35b286161b8044e375b SHA512 fe4b2f6f8c44bf4fdeebe3cbd57ee44ccee15a70075428bb68f0d33b70f9291b68b542965634a27fb4be5a59c756d672a3d264f2628391861edb98a244e072b4
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
deleted file mode 100644
index b2463eb94be9..000000000000
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.4.3.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-FORTRAN_STANDARD="77 90"
-
-inherit autotools fortran-2 flag-o-matic
-
-DESCRIPTION="Scientific library and interface for array oriented data access"
-HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
-SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="UCAR-Unidata"
-SLOT="0/6"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="examples static-libs"
-
-RDEPEND="sci-libs/netcdf"
-DEPEND="${RDEPEND}
- dev-lang/cfortran
-"
-
-src_prepare() {
- # use system cfortran
- rm libsrc/cfortran.h || die
-
- default
- eautoreconf
-}
-
-src_configure() {
- # GCC 10 workaround
- # bug #723274
- append-fflags $(test-flags-FC -fallow-argument-mismatch)
-
- econf $(use_enable static-libs static)
-}
-
-src_install() {
- default
- use examples && dodoc -r examples
- find "${ED}" -name '*.la' -delete || die
-}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2022-01-13 3:56 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2022-01-13 3:56 UTC (permalink / raw
To: gentoo-commits
commit: c10ce89a8b65d0927d26c77dacd7d54e297ed7d7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 13 03:53:49 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 13 03:56:01 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10ce89a
sci-libs/netcdf-fortran: add 4.5.4
Drops Fortran flag workaround:
https://github.com/Unidata/netcdf-fortran/commit/846ec7ac1d1eb552d319ce51fd70b832f6fcb347
Bug: https://github.com/Unidata/netcdf-fortran/pull/316
Bug: https://bugs.gentoo.org/723274
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.5.4.ebuild | 43 ++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index 5f10215d3ab5..3555cb2afe78 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1 +1,2 @@
DIST netcdf-fortran-4.5.3.tar.gz 1805683 BLAKE2B f32a36a77872e039a0c03a1f1ccdbb00761309dc7d255a1203b0a1971464e75d87f56230f28a5d5928ca3e7e388f52c4622836c2cea3d35b286161b8044e375b SHA512 fe4b2f6f8c44bf4fdeebe3cbd57ee44ccee15a70075428bb68f0d33b70f9291b68b542965634a27fb4be5a59c756d672a3d264f2628391861edb98a244e072b4
+DIST netcdf-fortran-4.5.4.tar.gz 2011867 BLAKE2B bc98522be63c705193a22ce877c41abdc064a05afab2186891d8a0bbe9da8f0ba3f7eae6610e8b4e006b26ad8e3ea5fd8d57349054949a38f3a2fd9dfefb85c5 SHA512 a704f6483f2c8b8bf2353615a3e4b784294bd790588cfc13193c617e776e330edb17fa16da69e1a0b6c767308992321e01399ba2067c32f6ae6b3cb9ff72c3ee
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
new file mode 100644
index 000000000000..49803dfd5170
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_STANDARD="77 90"
+
+inherit autotools fortran-2 flag-o-matic
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/7"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="${RDEPEND}
+ dev-lang/cfortran"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-valgrind \
+ --with-temp-large="${T}" \
+ --disable-dot \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ use examples && dodoc -r examples
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2022-01-13 3:56 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2022-01-13 3:56 UTC (permalink / raw
To: gentoo-commits
commit: 150de0a45c940a2ada48942cf69d15bf7c1ed2df
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 13 03:56:26 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 13 03:56:26 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=150de0a4
sci-libs/netcdf-fortran: fix UnusedInherits
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
index 49803dfd5170..2e163ea93b82 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
@@ -5,7 +5,7 @@ EAPI=8
FORTRAN_STANDARD="77 90"
-inherit autotools fortran-2 flag-o-matic
+inherit autotools fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2023-03-15 5:45 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2023-03-15 5:45 UTC (permalink / raw
To: gentoo-commits
commit: adf8b8c868eb65d641c1cac1590cb77f33d06e24
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 05:42:51 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 05:45:01 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adf8b8c8
sci-libs/netcdf-fortran: use release tarball
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index 3555cb2afe78..2e73c0adfa30 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1,2 +1,3 @@
DIST netcdf-fortran-4.5.3.tar.gz 1805683 BLAKE2B f32a36a77872e039a0c03a1f1ccdbb00761309dc7d255a1203b0a1971464e75d87f56230f28a5d5928ca3e7e388f52c4622836c2cea3d35b286161b8044e375b SHA512 fe4b2f6f8c44bf4fdeebe3cbd57ee44ccee15a70075428bb68f0d33b70f9291b68b542965634a27fb4be5a59c756d672a3d264f2628391861edb98a244e072b4
DIST netcdf-fortran-4.5.4.tar.gz 2011867 BLAKE2B bc98522be63c705193a22ce877c41abdc064a05afab2186891d8a0bbe9da8f0ba3f7eae6610e8b4e006b26ad8e3ea5fd8d57349054949a38f3a2fd9dfefb85c5 SHA512 a704f6483f2c8b8bf2353615a3e4b784294bd790588cfc13193c617e776e330edb17fa16da69e1a0b6c767308992321e01399ba2067c32f6ae6b3cb9ff72c3ee
+DIST netcdf-fortran-4.5.4.upstream.tar.gz 1085665 BLAKE2B 616fba5a8dfa69c4a48df72222cbc2adf24dadcbda01d95e97b64a23a76038dd75988b481eb3d73e6ae5d20c011c5dc23cf2e0f3a3ae020a12742fe93644de2c SHA512 a03a9a57476983096cdc610405869696c6c0345039da9f386e345932bf439f49aa012501d31f4ab0100688211a3abfc7487a8413cf9a0b3907dc1f8ee50d8000
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild
new file mode 100644
index 000000000000..d9969bd8da43
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_STANDARD="77 90"
+
+inherit fortran-2
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
+# TODO: drop .upstream suffix on next bump
+SRC_URI="https://downloads.unidata.ucar.edu/netcdf-fortran/${PV}/${P}.tar.gz -> ${P}.upstream.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/7"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="
+ ${RDEPEND}
+ dev-lang/cfortran
+"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+src_configure() {
+ econf \
+ --disable-valgrind \
+ --with-temp-large="${T}" \
+ --disable-dot \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ use examples && dodoc -r examples
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2023-03-15 5:53 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2023-03-15 5:53 UTC (permalink / raw
To: gentoo-commits
commit: 65da2c750d09a3e00f8f1ef15f4b588c1c47e9e7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 05:51:12 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 05:52:14 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65da2c75
sci-libs/netcdf-fortran: drop 4.5.3
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 -
.../netcdf-fortran/netcdf-fortran-4.5.3.ebuild | 48 ----------------------
2 files changed, 49 deletions(-)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index 2e73c0adfa30..0f2a9bb79806 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1,3 +1,2 @@
-DIST netcdf-fortran-4.5.3.tar.gz 1805683 BLAKE2B f32a36a77872e039a0c03a1f1ccdbb00761309dc7d255a1203b0a1971464e75d87f56230f28a5d5928ca3e7e388f52c4622836c2cea3d35b286161b8044e375b SHA512 fe4b2f6f8c44bf4fdeebe3cbd57ee44ccee15a70075428bb68f0d33b70f9291b68b542965634a27fb4be5a59c756d672a3d264f2628391861edb98a244e072b4
DIST netcdf-fortran-4.5.4.tar.gz 2011867 BLAKE2B bc98522be63c705193a22ce877c41abdc064a05afab2186891d8a0bbe9da8f0ba3f7eae6610e8b4e006b26ad8e3ea5fd8d57349054949a38f3a2fd9dfefb85c5 SHA512 a704f6483f2c8b8bf2353615a3e4b784294bd790588cfc13193c617e776e330edb17fa16da69e1a0b6c767308992321e01399ba2067c32f6ae6b3cb9ff72c3ee
DIST netcdf-fortran-4.5.4.upstream.tar.gz 1085665 BLAKE2B 616fba5a8dfa69c4a48df72222cbc2adf24dadcbda01d95e97b64a23a76038dd75988b481eb3d73e6ae5d20c011c5dc23cf2e0f3a3ae020a12742fe93644de2c SHA512 a03a9a57476983096cdc610405869696c6c0345039da9f386e345932bf439f49aa012501d31f4ab0100688211a3abfc7487a8413cf9a0b3907dc1f8ee50d8000
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild
deleted file mode 100644
index c5e5ff3a2d11..000000000000
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.3.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-FORTRAN_STANDARD="77 90"
-
-inherit autotools fortran-2 flag-o-matic
-
-DESCRIPTION="Scientific library and interface for array oriented data access"
-HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
-SRC_URI="https://github.com/Unidata/netcdf-fortran/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="UCAR-Unidata"
-SLOT="0/7"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples static-libs"
-
-RDEPEND="sci-libs/netcdf"
-DEPEND="${RDEPEND}
- dev-lang/cfortran"
-BDEPEND="doc? ( app-doc/doxygen )"
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- # GCC 10 workaround
- # bug #723274
- # (As of 4.5.3, configure is meant to check for this flag & use it
- # but it doesn't seem to be doing that.)
- append-fflags $(test-flags-FC -fallow-argument-mismatch)
-
- econf \
- --disable-valgrind \
- --with-temp-large="${T}" \
- --disable-dot \
- $(use_enable doc doxygen) \
- $(use_enable static-libs static)
-}
-
-src_install() {
- default
- use examples && dodoc -r examples
- find "${ED}" -name '*.la' -delete || die
-}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2023-05-20 5:09 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2023-05-20 5:09 UTC (permalink / raw
To: gentoo-commits
commit: 56f9fa890ce26a825fc33a5baab0307767cde3a2
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat May 20 05:05:03 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 20 05:05:03 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56f9fa89
sci-libs/netcdf-fortran: add 4.6.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/Manifest | 1 +
.../netcdf-fortran/netcdf-fortran-4.6.1.ebuild | 42 ++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/sci-libs/netcdf-fortran/Manifest b/sci-libs/netcdf-fortran/Manifest
index 0f2a9bb79806..deb89c507b91 100644
--- a/sci-libs/netcdf-fortran/Manifest
+++ b/sci-libs/netcdf-fortran/Manifest
@@ -1,2 +1,3 @@
DIST netcdf-fortran-4.5.4.tar.gz 2011867 BLAKE2B bc98522be63c705193a22ce877c41abdc064a05afab2186891d8a0bbe9da8f0ba3f7eae6610e8b4e006b26ad8e3ea5fd8d57349054949a38f3a2fd9dfefb85c5 SHA512 a704f6483f2c8b8bf2353615a3e4b784294bd790588cfc13193c617e776e330edb17fa16da69e1a0b6c767308992321e01399ba2067c32f6ae6b3cb9ff72c3ee
DIST netcdf-fortran-4.5.4.upstream.tar.gz 1085665 BLAKE2B 616fba5a8dfa69c4a48df72222cbc2adf24dadcbda01d95e97b64a23a76038dd75988b481eb3d73e6ae5d20c011c5dc23cf2e0f3a3ae020a12742fe93644de2c SHA512 a03a9a57476983096cdc610405869696c6c0345039da9f386e345932bf439f49aa012501d31f4ab0100688211a3abfc7487a8413cf9a0b3907dc1f8ee50d8000
+DIST netcdf-fortran-4.6.1.tar.gz 1112270 BLAKE2B 88c7550a1426fb82068dec3183d14ac0aa85eb4657cffaca7f141bfa2caa0e48ef1f395a504f06fca29ffb511b20182d6d0d71ab951b93f985a580352da3fe52 SHA512 4fb8ed0581df9157733f1331de60dc4e06274320a942db97dbc9020653ed4677bf26e84e5968ee6e5f8fc179e2db02898f339820e5b257ce8a94a5bcdc670587
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild
new file mode 100644
index 000000000000..37fe541485f6
--- /dev/null
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_STANDARD="77 90"
+
+inherit cmake fortran-2
+
+DESCRIPTION="Scientific library and interface for array oriented data access"
+HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
+SRC_URI="https://downloads.unidata.ucar.edu/netcdf-fortran/${PV}/${P}.tar.gz"
+
+LICENSE="UCAR-Unidata"
+SLOT="0/7"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test zstd"
+RESTRICT="!test? ( test )"
+
+RDEPEND="sci-libs/netcdf"
+DEPEND="
+ ${RDEPEND}
+ dev-lang/cfortran
+"
+BDEPEND="doc? ( app-doc/doxygen[dot] )"
+
+src_configure() {
+ local mycmakeargs=(
+ -DDISABLE_ZSTANDARD_PLUGIN=$(usex !zstd)
+ -DBUILD_EXAMPLES=$(usex examples)
+ -DENABLE_DOXYGEN=$(usex doc)
+ -DENABLE_PARALLEL_TESTS=$(usex test)
+ -DENABLE_TESTS=$(usex test)
+
+ # "Take lots of time and disk." per CMakeLists.txt
+ #-DLARGE_FILE_TESTS="${T}"
+
+ -DTEST_WITH_VALGRIND=OFF
+ )
+
+ cmake_src_configure
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/
@ 2024-04-01 5:30 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2024-04-01 5:30 UTC (permalink / raw
To: gentoo-commits
commit: d7bd3f9525291e25cbae8c6f107227d6a14a4c4f
Author: Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Apr 1 01:46:11 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 1 05:29:26 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7bd3f95
sci-libs/netcdf-fortran: mark as LTO-unsafe
Closes: https://bugs.gentoo.org/927588
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild | 7 ++++++-
sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild | 7 ++++++-
sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild | 7 ++++++-
3 files changed, 18 insertions(+), 3 deletions(-)
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild
index 2677655adbea..011dff676f10 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
FORTRAN_STANDARD="77 90"
-inherit fortran-2
+inherit flag-o-matic fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
@@ -25,6 +25,11 @@ DEPEND="
BDEPEND="doc? ( app-text/doxygen )"
src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/927588
+ # https://github.com/Unidata/netcdf-fortran/issues/437
+ filter-lto
+
econf \
--disable-valgrind \
--with-temp-large="${T}" \
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
index d89617045f7d..fc08cfb95414 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.5.4.ebuild
@@ -5,7 +5,7 @@ EAPI=8
FORTRAN_STANDARD="77 90"
-inherit autotools fortran-2
+inherit autotools flag-o-matic fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
@@ -28,6 +28,11 @@ src_prepare() {
}
src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/927588
+ # https://github.com/Unidata/netcdf-fortran/issues/437
+ filter-lto
+
econf \
--disable-valgrind \
--with-temp-large="${T}" \
diff --git a/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild b/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild
index f9c020fa3521..9b44a0997205 100644
--- a/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild
+++ b/sci-libs/netcdf-fortran/netcdf-fortran-4.6.1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
FORTRAN_STANDARD="77 90"
-inherit cmake fortran-2
+inherit cmake flag-o-matic fortran-2
DESCRIPTION="Scientific library and interface for array oriented data access"
HOMEPAGE="https://www.unidata.ucar.edu/software/netcdf/"
@@ -25,6 +25,11 @@ DEPEND="
BDEPEND="doc? ( app-text/doxygen[dot] )"
src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/927588
+ # https://github.com/Unidata/netcdf-fortran/issues/437
+ filter-lto
+
local mycmakeargs=(
-DDISABLE_ZSTANDARD_PLUGIN=$(usex !zstd)
-DBUILD_EXAMPLES=$(usex examples)
^ permalink raw reply related [flat|nested] 14+ messages in thread
end of thread, other threads:[~2024-04-01 5:30 UTC | newest]
Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-03-15 5:53 [gentoo-commits] repo/gentoo:master commit in: sci-libs/netcdf-fortran/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2024-04-01 5:30 Sam James
2023-05-20 5:09 Sam James
2023-03-15 5:45 Sam James
2022-01-13 3:56 Sam James
2022-01-13 3:56 Sam James
2022-01-09 23:04 Andreas Sturmlechner
2021-11-25 2:04 Sam James
2021-05-31 9:20 David Seifert
2021-02-19 12:47 Sam James
2018-05-16 22:57 Aaron Bauman
2016-01-25 9:52 David Seifert
2016-01-23 20:05 David Seifert
2016-01-20 8:20 Justin Lecher
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox